data {
    int NA;
    int NB;
    real DataA[NA];
    real DataB[NB];
}
parameters {
    real muA;
    real muB;
    real<lower = 0.0> sgmA;
    real<lower = 0.0> sgmB;
}
transformed parameters {
    real mu_d;
    real sgm_r;
    mu_d = muA - muB;
    sgm_r = sgmA / sgmB;
}
model {
    muA ~ normal(0.0, 1000.0);
    muB ~ normal(0.0, 1000.0);
    sgmA ~ exponential(0.001);
    sgmB ~ exponential(0.001);
    for (i in 1:NA)
        DataA[i] ~ normal(muA, sgmA);
    for (i in 1:NB)
        DataB[i] ~ normal(muB, sgmB);
}
